Diff for /elwix/build_3thparty.sh between versions 1.2.6.7 and 1.7

version 1.2.6.7, 2013/07/29 19:47:55 version 1.7, 2021/03/11 13:59:50
Line 9 Line 9
 #  #
   
 [ -r ./config/rc.elwix ] && . ./config/rc.elwix  [ -r ./config/rc.elwix ] && . ./config/rc.elwix
   if [ ! -r ./config/rc.3thparty_helper ]; then
           echo
           echo "ELWIX project is not configured - Missing rc.3thparty_helper script"
           echo
           exit 1
   fi
   
 if [ X"${ELWIX_IS_CONFIGURED}" != X"YES" ]; then  if [ X"${ELWIX_IS_CONFIGURED}" != X"YES" ]; then
         echo          echo
         echo "ELWIX project is not configured !?!"          echo "ELWIX project is not configured !?!"
Line 37  fi Line 44  fi
   
 clean_3th()  clean_3th()
 {  {
        echo "+++ Clean ELWIX 3th party ..."        echo "+++ Clean ELWIX 3th party ... ${PKG}, ${ROMFS_USR2}"
   
        rm -rf ${PKG}        rm -rf ${PKG} ${ROMFS_USR2}
 
         install -d ${PKG}          install -d ${PKG}
         install -d ${PKG}/bin          install -d ${PKG}/bin
         install -d ${PKG}/etc          install -d ${PKG}/etc
Line 48  clean_3th() Line 56  clean_3th()
         install -d ${PKG}/lib          install -d ${PKG}/lib
         install -d ${PKG}/libexec          install -d ${PKG}/libexec
         install -d ${PKG}/sbin          install -d ${PKG}/sbin
   
           install -d ${ROMFS_USR2}
           install -d ${ROMFS_USR2}/bin
           install -d ${ROMFS_USR2}/etc
           install -d ${ROMFS_USR2}/lib
           install -d ${ROMFS_USR2}/libexec
           install -d ${ROMFS_USR2}/sbin
 }  }
   
 compile_3th()  compile_3th()
 {  {
         echo "+++ Compile ELWIX 3th party ..."          echo "+++ Compile ELWIX 3th party ..."
   
        cd $CROSS_3TH        BUILD_SH="./config/rc.3thparty_helper"
        ./build.sh expat ${CBUILD} ${PKG} ${TARGET_BUILD}
        [ $? -ne 0 ] && exit 1#       ${BUILD_SH} expat ${CBUILD} ${PKG} ${TARGET_BUILD}
        ./build.sh libevent ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh libiconv ${CGBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh pcre ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh mini_sendmail ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh choparp ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh scan_ffs ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh istgt ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh rsync ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh ttcp ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh mpd ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh mrouted ${CGBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh igmpproxy ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh sudo ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh bmon ${CGBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh mtr ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh ipguard ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh smartmontools ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh quagga ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh iftop ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh arping ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh hping2 ${CGBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh trafshow ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
        ./build.sh ipsec-tools ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
#       ./build.sh dhcp ${CBUILD} ${PKG} ${TARGET_BUILD} 
 #       [ $? -ne 0 ] && exit 1  #       [ $? -ne 0 ] && exit 1
        ./build.sh dhcping ${CBUILD} ${PKG} ${TARGET_BUILD}#       ${BUILD_SH} libevent ${CBUILD} ${PKG} ${TARGET_BUILD}
        [ $? -ne 0 ] && exit 1 
        ./build.sh dnsmasq ${CBUILD} ${PKG} ${TARGET_BUILD} 
        [ $? -ne 0 ] && exit 1 
#       ./build.sh miniupnpd ${CBUILD} ${PKG} ${TARGET_BUILD} 
 #       [ $? -ne 0 ] && exit 1  #       [ $? -ne 0 ] && exit 1
#       ./build.sh miniupnpc ${CGBUILD} ${PKG} ${TARGET_BUILD}#       ${BUILD_SH} libiconv ${CGBUILD} ${PKG} ${TARGET_BUILD}
 #       [ $? -ne 0 ] && exit 1  #       [ $? -ne 0 ] && exit 1
        ./build.sh ntp ${CBUILD} ${PKG} ${TARGET_BUILD}#       ${BUILD_SH} pcre ${CBUILD} ${PKG} ${TARGET_BUILD}
        [ $? -ne 0 ] && exit 1 
#       ./build.sh libxml2 ${CBUILD} ${PKG} ${TARGET_BUILD} 
 #       [ $? -ne 0 ] && exit 1  #       [ $? -ne 0 ] && exit 1
#       ./build.sh php ${CBUILD} ${PKG} ${TARGET_BUILD}
         for i in ${CROSS_3THPARTY}; do
                 if [ -d "${CROSS_3THPATH}$i" ]; then
                         MK=$(eval echo "\$${i}_MAKE")
                         env CFLAGS="-I${PKG}/include" LDFLAGS="-L${PKG}/lib" ${BUILD_SH} \
                                 $i $MK ${PKG} ${TARGET_BUILD} || Die "ERROR:: with $i packet!"
                 else
                         Die "Error:: ${CROSS_PATH}$i not found!"
                 fi
         done
 
 #       ${BUILD_SH} iftop ${CBUILD} ${PKG} ${TARGET_BUILD}
 #       [ $? -ne 0 ] && exit 1  #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} sudo ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} smartmontools ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} trafshow ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} ipsec-tools ${CGBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} dhcp ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} dhcping ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} miniupnpd ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} miniupnpc ${CGBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} ntp ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} spawn-fcgi ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} lighttpd ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} libxml2 ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
   #       ${BUILD_SH} php ${CBUILD} ${PKG} ${TARGET_BUILD}
   #       [ $? -ne 0 ] && exit 1
           echo
   }
   
   install_3th()
   {
           LIBS="${ROMFS_USR2}/lib"
           LIBEXEC="${ROMFS_USR2}/libexec"
           BIN="${ROMFS_USR2}/bin"
           SBIN="${ROMFS_USR2}/sbin"
           ETC="${ROMFS_USR2}/etc"
   
           echo "+++ Install ELWIX RomFS secondary firmware ... ${ROMFS_USR2}"
   
           StripFiles \*.so\* ${PKG}/lib
           InstallFiles \*.so\* ${PKG}/lib $LIBS
           InstallLinks \*.so\* ${PKG}/lib $LIBS
           StripFiles \* ${PKG}/libexec
           InstallFiles \* ${PKG}/libexec $LIBEXEC
           StripFiles \* ${PKG}/bin
           InstallFiles \* ${PKG}/bin $BIN
           StripFiles \* ${PKG}/sbin
           InstallFiles \* ${PKG}/sbin $SBIN
   
           InstallFiles \* ${PKG}/etc $ETC
   
           chown -R root:wheel $SBIN $BIN $LIBDATA $LIBEXEC $LIBS
   }
   
   build_3th()
   {
           echo "+++ Build ELWIX Firmware secondary image ... ${ROMFS_USR2} --> ${REL}/${ROMFS_IMG2}"
   
           cd ${ROMFS_USR2}
           pax -w -z -v -f${REL}/${ROMFS_IMG2} .
         cd -          cd -
   
   # Stop using uzip fs
   #       makefs -ominfree=0,bsize=8192,fsize=1024,optimization=space -s${ROMFS_SIZE2} \
   #               ${REL}/${ROMFS_IMG2} ${ROMFS_USR2}
   
   #       MDDEV=$(mdconfig -a -t vnode -f ${REL}/${ROMFS_IMG2});
   #       tunefs -L elwixFirmware2 /dev/$MDDEV;
   #       mdconfig -d -u $MDDEV;
   
   #       mkuzip -s 8192 -o ${REL}/${ROMFS_IMG2}.uzip ${REL}/${ROMFS_IMG2};
   #       mv ${REL}/${ROMFS_IMG2}.uzip ${REL}/${ROMFS_IMG2}
   
           echo "+++ Complited ELWIX Firmware secondary image ... ${REL}/${ROMFS_IMG2}"
 }  }
   
 ### main()  ### main()
   if [ -n "${1}" ]; then
           rm ${PKG}/elwix.ver
   fi
   
 if ! SnitVer ${PKG}/elwix.ver; then  if ! SnitVer ${PKG}/elwix.ver; then
        clean_3th        clean_3th || exit 1
        compile_3th        compile_3th || exit 1
 
         install_3th || exit 1
         build_3th || exit 1
   
         echo "ELWIX Platform:${PLATFORM} Version:${VERSION} TargetArch:${TARGET_ARCH}" >${PKG}/elwix.ver          echo "ELWIX Platform:${PLATFORM} Version:${VERSION} TargetArch:${TARGET_ARCH}" >${PKG}/elwix.ver
 else  else

Removed from v.1.2.6.7  
changed lines
  Added in v.1.7


FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>